\newcommand{\EWspellpath}[2]{
  \begin{minipage}{\linewidth}
    \renewcommand{\arraystretch}{1}
    \begin{center}
      \includegraphics[height=20pt]{#1} \quad \textbf{{\large \MakeUppercase{#2}}}
    \end{center}
  \end{minipage}
 }

\newcommand{\EWspellnoicon}[3]{
  \renewcommand{\arraystretch}{1}
    \textbf{#1} (#2+)
	\newline
	{#3}
}

\newcommand{\EWspellspecificicon}[4]{
  \begin{minipage}{\linewidth}
  \renewcommand{\arraystretch}{1}
  \begin{tabular}{@{}l}
    \includegraphics[height=20pt]{#1} \; \textbf{{{#2}}} (#3+)
  \end{tabular}
	\newline
	{#4}
  \end{minipage}
}

\newcommand{\EWspell}[4]{
  \begin{minipage}{\linewidth}
  \renewcommand{\arraystretch}{1}
  \begin{tabular}{@{}l@{ }l}
    \multirow{2}{*}{
      \includegraphics[height=20pt]{#4} 
    }
    &\textbf{#1}
    \tabularnewline
    &Casting value : #2+
  \end{tabular}
	\newline
	{#3}
  \end{minipage}
}

%%
% Spell definitions

% Alchemy
\newcommand{\EWcorruptionoftinnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\alchemyspellfive}{5}
	{\EWcorruptionoftindef}
}
\newcommand{\EWsilverspikenoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\alchemyspellfour}{6}
	{\EWsilverspikedef}
}
\newcommand{\EWmoltencoppernoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\alchemyspellsix}{8}
	{\EWmoltencopperdef}
}

% Cosmology
\newcommand{\EWalteredsightnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\cosmologyspellone}{4}
	{\EWalteredsightdef}
}
\newcommand{\EWiceandfirenoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\cosmologyspellthree}{6}
	{\EWiceandfiredef}
}
\newcommand{\EWperceptionofstrengthnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\cosmologyspellfour}{8}
	{\EWperceptionofstrengthdef}
}

% Divination
\newcommand{\EWknowthineenemynoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\divinationspellone}{5}
	{\EWknowthineenemydef}
}
\newcommand{\EWfatesjudgementnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\divinationspelltwo}{5}
	{\EWfatesjudgementdef}
}
\newcommand{\EWscryingnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\divinationspellthree}{7}
	{\EWscryingdef}
}

% Druidism
\newcommand{\EWhealingwatersnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\druidismspellone}{6}
	{\EWhealingwatersdef}
}
\newcommand{\EWmasterofearthnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\druidismspelltwo}{6}
	{\EWmasterofearthdef}
}
\newcommand{\EWstoneskinnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\druidismspellfive}{9}
	{\EWstoneskindef}
}

% Evocation
\newcommand{\EWspectralbladesnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\evocationspellone}{6}
	{\EWspectralbladesdef}
}
\newcommand{\EWhastenthehournoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\evocationspellthree}{7}
	{\EWhastenthehourdef}
}
\newcommand{\EWdansemacabrenoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\evocationspellsix}{8}
	{\EWdansemacabredef}
}

% Occultism
\newcommand{\EWpentagramofpainnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\occultismspellone}{5}
	{\EWpentagramofpaindef}
}
\newcommand{\EWtherotwithinnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\occultismspellthree}{5}
	{\EWtherotwithindef}
}
\newcommand{\EWthegravecallsnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\occultismspellsix}{10}
	{\EWthegravecallsdef}
}
% Pyromancy
\newcommand{\EWfireballnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\pyromancyspellone}{5}
	{\EWfireballdef}
}
\newcommand{\EWflamingswordsnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\pyromancyspellthree}{7}
	{\EWflamingswordsdef}
}
\newcommand{\EWscorchingsalvonoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\pyromancyspellfive}{8}
	{\EWscorchingsalvodef}
}

% Shamanism
\newcommand{\EWawakenthebeastnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\shamanismspellone}{6}
	{\EWawakenthebeastdef}
}
\newcommand{\EWswarmofinsectsnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\shamanismspelltwo}{5}
	{\EWswarmofinsectsdef}
}
\newcommand{\EWbreakthespiritnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\shamanismspellsix}{8}
	{\EWbreakthespiritdef}
}

% Thaumaturgy
\newcommand{\EWhandofheavennoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\thaumaturgyspellone}{6}
	{\EWhandofheavendef}
}
\newcommand{\EWspeakingintonguesnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\thaumaturgyspellthree}{5}
	{\EWspeakingintonguesdef}
}
\newcommand{\EWwrathofgodnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\thaumaturgyspellfive}{10}
	{\EWwrathofgoddef}
}

% Witchcraft
\newcommand{\EWravenswingnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\witchcraftspellone}{4}
	{\EWravenswingdef}
}
\newcommand{\EWtwistedeffigynoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\witchcraftspellthree}{5}
	{\EWtwistedeffigydef}
}
\newcommand{\EWbewitchingglarenoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\witchcraftspellsix}{9}
	{\EWbewitchingglaredef}
}

% Battle Runes
\newcommand{\EWruneofreckoningnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\EWruneofreckoning}{5}
	{\EWruneofreckoningdef}
}
\newcommand{\EWruneofrevocationnoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\EWruneofrevocation}{5}
	{\EWruneofrevocationdef}
}
\newcommand{\EWruneofresiliencenoicon}[1]{
	\textbf{#1.} \EWspellnoicon{\EWruneofresilience}{8}
	{\EWruneofresiliencedef}
}

% ARMY-SPECIFIC

%UD Death is only the Begining
\newcommand{\EWdeathisonlythebeginning}{
	\EWspell{\hereditaryundyingdynaties}{6}
	{\EWdeathisonlythebeginningdef}
  {UD/logo_big_UD.png}
}
\newcommand{\EWdeathisonlythebeginningspecificicon}{
	\EWspellspecificicon{UD/logo_big_UD.png}{\hereditaryundyingdynaties}{6}
	{\EWdeathisonlythebeginningdef}
}

% VC Arise
\newcommand{\EWarise}{
	\EWspell{\arise}{8}
	{\EWarisedef}
  {VC/logo_big_VC.png}
}
\newcommand{\EWarisespecificicon}{
	\EWspellspecificicon{VC/logo_big_VC.png}{\arise}{8}
	{\EWarisedef}
}

% DL Spear of Infinity
\newcommand{\EWspearofinfinity}{
	\EWspell{\spearofinfinityNAME}{3}
	{\EWspearofinfinitydef}
  {DL/logo_big_DL.png}
}
\newcommand{\EWspearofinfinityspecificicon}{
	\EWspellspecificicon{DL/logo_big_DL.png}{\spearofinfinityNAME}{3}
	{\EWspearofinfinitydef}
}











\newcommand{\EWwrathofgod}{
	\EWspell{\thaumaturgyspellfive}{9}
	{\EWwrathofgoddef}
  {\thaumaturgyicon}
}

\newcommand{\EWbewitchingglare}{
	\EWspell{\witchcraftspellsix}{9}
	{\EWbewitchingglaredef}
  {\witchcrafticon}
}

\newcommand{\EWperceptionofstrength}{
	\EWspell{\cosmologyspellfour}{6}
	{\EWperceptionofstrengthdef}
  {\cosmologyicon}
}

\newcommand{\EWawakenthebeast}{
	\EWspell{\shamanismspellone}{5}
	{\EWawakenthebeastdef}
  {\shamanismicon}
}

\newcommand{\EWcorruptionoftin}{
	\EWspell{\alchemyspellfive}{5}
	{\EWcorruptionoftindef}
  {\alchemyicon}
}

\newcommand{\EWwhispersoftheveil}{
	\EWspell{\evocationspelltwo}{8}
	{\EWwhispersoftheveildef}
  {\evocationicon}
}

\newcommand{\EWancestralaid}{
	\EWspell{\evocationspellfour}{6}
	{\EWancestralaiddef}
  {\evocationicon}
}

\newcommand{\EWdansemacabre}{
	\EWspell{\evocationspellsix}{5}
	{\EWdansemacabredef}
  {\evocationicon}
}

\newcommand{\EWevileye}{
	\EWspell{\witchcraftattribute}{5}
	{\EWevileyedef}
  {\witchcrafticon}
}

\newcommand{\EWfatesjudgement}{
	\EWspell{\divinationspelltwo}{5}
	{\EWfatesjudgementdef}
  {\divinationicon}
}

\newcommand{\EWfireball}{
	\EWspell{\pyromancyspellone}{4}
	{\EWfireballdef}
  {\pyromancyicon}
}

\newcommand{\EWhastenthehour}{
	\EWspell{\evocationspellthree}{7}
	{\EWhastenthehourdef}
  {\evocationicon}
}

\newcommand{\EWhealingwaters}{
	\EWspell{\druidismspellone}{6}
	{\EWhealingwatersdef}
  {\druidismicon}
}

\newcommand{\EWknowthineenemy}{
	\EWspell{\divinationspellone}{7}
	{\EWknowthineenemydef}
  {\divinationicon}
}

\newcommand{\EWmoltencopper}{
	\EWspell{\alchemyspellfour}{7}
	{\EWmoltencopperdef}
  {\alchemyicon}
}

\newcommand{\EWscorchingsalvo}{
	\EWspell{\pyromancyspellfive}{8}
	{\EWscorchingsalvodef}
  {\pyromancyicon}
}

\newcommand{\EWstoneskin}{
	\EWspell{\druidismspellfive}{8}
	{\EWstoneskindef}
  {\druidismicon}
}

\newcommand{\EWswarmofinsects}{
	\EWspell{\shamanismspelltwo}{5}
	{\EWswarmofinsectsdef}
  {\shamanismicon}
}

\newcommand{\EWtherotwithin}{
	\EWspell{\occultismspellthree}{6}
	{\EWtherotwithindef}
  {\occultismicon}
}

\newcommand{\EWtruthoftime}{
	\EWspell{\cosmologyspelltwo}{5}
	{\EWtruthoftimedef}
  {\cosmologyicon}
}

\newcommand{\EWhandofheaven}{
	\EWspell{\thaumaturgyspellone}{9}
	{\EWhandofheavendef}
  {\thaumaturgyicon}
}
